---
updatedAt: 2026-08-18T09:17:24.000Z
agentTools:
  projectIndex: https://docs.mesh.complyadvantage.com/llms.txt
---

# List all Lookup List Mappings

Returns all Lookup List Mappings for the account, optionally filtered by status and/or lookup list identifier, sorted by created date.


You need the "View lookup lists" permission to use this endpoint.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "mes_LookupListMappingResponse": {
        "properties": {
          "created_at": {
            "format": "date-time",
            "type": "string"
          },
          "created_by": {
            "format": "uuid",
            "type": "string"
          },
          "identifier": {
            "format": "uuid",
            "type": "string"
          },
          "lookup_list_identifier": {
            "format": "uuid",
            "type": "string"
          },
          "output_fields": {
            "items": {
              "$ref": "#/components/schemas/mes_OutputField"
            },
            "type": "array"
          },
          "source_fields": {
            "items": {
              "$ref": "#/components/schemas/mes_SourceField"
            },
            "type": "array"
          },
          "status": {
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ],
            "type": "string"
          },
          "updated_at": {
            "format": "date-time",
            "nullable": true,
            "type": "string"
          },
          "updated_by": {
            "format": "uuid",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "created_at",
          "created_by",
          "identifier",
          "lookup_list_identifier",
          "output_fields",
          "source_fields",
          "status"
        ],
        "type": "object"
      },
      "mes_OutputField": {
        "properties": {
          "field_key": {
            "type": "string"
          },
          "lookup_list_column_name": {
            "type": "string"
          }
        },
        "required": [
          "field_key",
          "lookup_list_column_name"
        ],
        "type": "object"
      },
      "mes_PaginatedResponseLookupListMappingResponse": {
        "properties": {
          "first": {
            "description": "The URL path to the first page.",
            "example": "/v1/resource?page_number=1",
            "type": "string"
          },
          "lookup_list_mappings": {
            "items": {
              "$ref": "#/components/schemas/mes_LookupListMappingResponse"
            },
            "type": "array"
          },
          "next": {
            "description": "The URL path to the next page.",
            "example": "/v1/resource?page_number=4",
            "nullable": true,
            "type": "string"
          },
          "prev": {
            "description": "The URL path to the previous page.",
            "example": "/v1/resource?page_number=2",
            "nullable": true,
            "type": "string"
          },
          "self": {
            "description": "The URL path to the current page.",
            "example": "/v1/resource?page_number=3",
            "type": "string"
          },
          "total_count": {
            "description": "Total number of items.",
            "example": 60,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          }
        },
        "required": [
          "first",
          "self",
          "lookup_list_mappings"
        ],
        "type": "object"
      },
      "mes_ProblemDetailErrorResponse": {
        "additionalProperties": true,
        "properties": {
          "detail": {
            "nullable": true,
            "type": "string"
          },
          "identifier": {
            "format": "uuid",
            "type": "string"
          },
          "instance": {
            "format": "uri",
            "nullable": true,
            "type": "string"
          },
          "status": {
            "format": "int32",
            "nullable": true,
            "type": "integer"
          },
          "timestamp": {
            "format": "date-time",
            "type": "string"
          },
          "title": {
            "nullable": true,
            "type": "string"
          },
          "type": {
            "format": "uri",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "identifier",
          "timestamp"
        ],
        "type": "object"
      },
      "mes_SourceField": {
        "properties": {
          "field_key": {
            "type": "string"
          },
          "lookup_list_column_name": {
            "type": "string"
          }
        },
        "required": [
          "field_key",
          "lookup_list_column_name"
        ],
        "type": "object"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "description": "HTTP Bearer Token Authentication",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "title": "Mesh API",
    "version": "v2.0"
  },
  "openapi": "3.0.3",
  "paths": {
    "/v3/enrichment/transaction/lookup-list-mappings": {
      "get": {
        "description": "Returns all Lookup List Mappings for the account, optionally filtered by status and/or lookup list identifier, sorted by created date.\n\n\nYou need the \"View lookup lists\" permission to use this endpoint.",
        "operationId": "meshEnrichmentServiceListLookupListMappings",
        "parameters": [
          {
            "description": "Optional filter by the status property, to only get ACTIVE or INACTIVE",
            "example": "ACTIVE",
            "in": "query",
            "name": "status",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Optional filter by lookup list identifier. If provided, only returns mappings associated with this lookup list.",
            "example": "00000000-0000-0000-0000-000000000000",
            "in": "query",
            "name": "lookup_list_identifier",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "One-based page index (1..N)",
            "example": 1,
            "in": "query",
            "name": "page_number",
            "required": false,
            "schema": {
              "default": 1,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "The size of the page to be returned",
            "example": 20,
            "in": "query",
            "name": "page_size",
            "required": false,
            "schema": {
              "default": 50,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "Sorting criteria in the format of: `[-]property` (`-` descending modifier).\n\n* Default sort order is ascending (without `-`).\n\n* Multiple sort criteria are supported.",
            "example": [
              "-timestamp"
            ],
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "default": [],
              "items": {
                "type": "string"
              },
              "type": "array"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/mes_PaginatedResponseLookupListMappingResponse"
                }
              }
            },
            "description": "Lookup List Mappings found"
          },
          "400": {
            "content": {
              "application/problem+json": {
                "examples": {
                  "Invalid UUID format": {
                    "description": "Invalid UUID format",
                    "value": {
                      "detail": "Invalid UUID format for lookup_list_identifier parameter",
                      "identifier": "019a6ffb-f7f1-7025-8ad7-f65076ccdbe3",
                      "instance": "https://api.example.com/v3/enrichment/transaction/lookup-list-mappings",
                      "status": 400,
                      "timestamp": "2025-11-10T22:56:15.345Z",
                      "title": "Invalid Request Parameter",
                      "type": "about:blank"
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/mes_ProblemDetailErrorResponse"
                }
              }
            },
            "description": "Bad Request - Invalid status or lookup_list_identifier parameter"
          }
        },
        "summary": "List all Lookup List Mappings",
        "tags": [
          "Enrichment"
        ]
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "description": "ComplyAdvantage Mesh API",
      "url": "https://api.mesh.complyadvantage.com"
    }
  ],
  "tags": [
    {
      "name": "Enrichment"
    }
  ]
}
```